Package org.eclipse.microprofile.rest.client.tck.asynctests

# Class CDIInvokeAsyncSimpleGetOperationTest

java.lang.Object
org.jboss.arquillian.testng.Arquillian
org.eclipse.microprofile.rest.client.tck.WiremockArquillianTest
org.eclipse.microprofile.rest.client.tck.asynctests.CDIInvokeAsyncSimpleGetOperationTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

public class CDIInvokeAsyncSimpleGetOperationTest extends WiremockArquillianTest
Verifies via CDI injection that you can use a programmatic interface. verifies that the interface has Dependent scope. This test is the same as the `CDIInvokeSimpleGetOperationTest` but uses async methods.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

## Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

## Constructor Summary

Constructors
Constructor
Description
`CDIInvokeAsyncSimpleGetOperationTest()`

## Method Summary

Modifier and Type
Method
Description
`static org.jboss.shrinkwrap.api.spec.WebArchive`
`createDeployment()`
`void`
`testHasDependentScopedByDefault()`
Tests that the component injected has Dependent scope
`void`
`testInvokesGetOperationWithCDIBean()`

### Methods inherited from class org.eclipse.microprofile.rest.client.tck.WiremockArquillianTest

`getPort, getServerURI, getServerURL, getStringURL, setupServer`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CDIInvokeAsyncSimpleGetOperationTest

public CDIInvokeAsyncSimpleGetOperationTest()

## Method Details

### createDeployment

@Deployment public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

### testInvokesGetOperationWithCDIBean

public void testInvokesGetOperationWithCDIBean() throws Exception

Throws:
  `Exception`

### testHasDependentScopedByDefault

public void testHasDependentScopedByDefault()
Tests that the component injected has Dependent scope